Apis::V4::UserRememberTokens API

get user remember token

Show details about the user corresponding to the given remember token. Typically this would be used to preview the user that might be merged (see Apis::V4::UserRememberTokens::Merge). The legacy system used the term "leader_token", but since API actually stores that value in a column named "remember_token" it is referred to by that term here.

Parameters

Name Description
id The unique identifier called a "remember token" (typically received through the invite email link)

Response Fields

Name Description type
data primary JSON API payload
data[attributes][id] A unique identifier called a "remember token" that corresponds to a user. String
data[attributes][user_id] The id of the user that the remember token belongs to. String
data[attributes][username] The username (email) of the user that the remember token belongs to. String
data[attributes][full_name] The full name of the user that the remember token belongs to. String

Request

Headers

Version: HTTP/1.0
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjo3NSwiZXhwIjoxNzk0NTQwMjA4LCJpYXQiOjE3OTQ1NDAwMjh9.qi4CkmNJlNGYwcc2urURD4OTC3BzPTjUoqH6Pcs0B5o
Accept: application/json
Content-Type: application/json
Host: example.org
Cookie: 

Route

GET /apis/v4/user_remember_tokens/fd4a39bfecd75e27ba539c37

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjo3NSwiZXhwIjoxNzk0NzEyODI4LCJpYXQiOjE3OTQ1NDAwMjh9.pGkBTuG1yc63OgEK2dpjJ-OChKyt0a2tpks6egEQC-o
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"864a8c153473ae433084fc64d58073b1"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 8a8d1adc-84d6-45ee-8090-d86fc86fff1f
X-Runtime: 0.035831
Content-Length: 170

Status

200

Body